## linux-ubuntu-modules-2.6.24 2.6.24-32.52

=== ubuntu/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_ACER_ACPI)		+= acpi/acer_acpi/
obj-$(CONFIG_INPUT_FSC_BTNS)	+= misc/fsc_btns.o
obj-$(CONFIG_ALSA)      	+= sound/
obj-$(CONFIG_BLK_DEV_DRBD)      += block/drbd/
obj-$(CONFIG_BLK_ISCSITARGET)	+= block/iscsitarget/
obj-$(CONFIG_AMT_HECI)		+= misc/heci/
obj-$(CONFIG_BLK_DEV_GNBD)	+= misc/gnbd.o
obj-$(CONFIG_BLK_DEV_DM_BBR)	+= misc/dm-bbr.o
obj-$(CONFIG_SND_BTSCO)		+= snd-bt-sco.o
obj-$(CONFIG_INPUT_ACERHK)	+= misc/acerhk.o
obj-$(CONFIG_AVERATEC_5100P)	+= misc/av5100.o
obj-$(CONFIG_PACKARDBELL_E5)	+= misc/pbe5.o
obj-$(CONFIG_LMPCM_USB)		+= misc/lmpcm_usb.o
obj-$(CONFIG_NOZOMI)		+= misc/nozomi.o

obj-$(CONFIG_NDISWRAPPER)	+= misc/ndiswrapper/
obj-$(CONFIG_MOL)		+= misc/mol/

snd-bt-sco-objs			:= misc/btsco.o
#
# The btsco driver should ultimately be incorportated into the ALSA tree
# or deprecated. At the moment, we need to force the following build options to 
# make sure that struct snd_pcm_str in pcm.h is in sync with the ALSA build configs.
#
CFLAGS_btsco.o += -I$(src)/sound/alsa-driver/include -DCONFIG_SND_VERBOSE_PROCFS -DCONFIG_SND_PCM_OSS_MODULE

CFLAGS_dm-bbr.o			+= -I$(srctree)/drivers/md

ifneq ($(UBUNTU_FLAVOUR),openvz)
obj-$(CONFIG_AUFS)		+= fs/aufs/
endif

obj-$(CONFIG_ASFS_FS)		+= fs/asfs/
ifneq ($(UBUNTU_FLAVOUR),rt)
obj-$(CONFIG_GFS_FS)		+= fs/gfs/
endif
obj-$(CONFIG_SQUASHFS)		+= fs/squashfs/
obj-$(CONFIG_UNION_FS)		+= fs/unionfs/

obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o

obj-m				+= media/

obj-$(CONFIG_NET_ATL2)		+= net/atl2/
obj-$(CONFIG_NET_ATL1E)		+= net/atl1e/

obj-$(CONFIG_NET_ACX)		+= wireless/acx/
obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
obj-$(CONFIG_USB_NET_HSO)	+= wireless/hso.o

ifneq ($(CONFIG_PRISM2_USB),)
obj-m				+= wireless/p80211/
endif

obj-$(CONFIG_IPW2100_FS_AMILO_M7400) += wireless/fsam7400.o

obj-$(CONFIG_MMC_SD8686)       += wireless/marvell/8686_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_bt/

obj-$(CONFIG_ET131X)		+= net/et131x/
obj-$(CONFIG_IGB)		+= net/igb/
obj-$(CONFIG_IGB_NEXT)		+= net/igb-next/
obj-$(CONFIG_E1000E_ICH9M)	+= net/e1000e-ich9m/

obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o

obj-$(CONFIG_DMRAID45)		+= md/

obj-$(CONFIG_AGP_INTEL_ICH9M)	+= char/intel-agp-ich9m/
obj-$(CONFIG_RTL_8187_USB)	+= wireless/rtl8187-usb/

=== ubuntu/fs/unionfs/Makefile ===
UNIONFS_VERSION  = 1.4
SUP_MAJOR= 2
SUP_MINOR= 6
SUP_PATCH= 18

EXTRA_CFLAGS+=-DUNIONFS_VERSION=\"${UNIONFS_VERSION}\" -DSUP_MAJOR=${SUP_MAJOR} -DSUP_MINOR=${SUP_MINOR} -DSUP_PATCH=${SUP_PATCH} -DUNIONFS_UNSUPPORTED -DUNIONFS_DELETE_ALL

# This will enable full debugging support
# EXTRA_CFLAGS+=-DUNIONFS_DEBUG

obj-m += unionfs.o

unionfs-objs := subr.o dentry.o file.o inode.o main.o super.o \
	stale_inode.o branchman.o xattr.o rdstate.o copyup.o  \
	dirhelper.o rename.o unlink.o lookup.o persistent_inode.o \
	commonfops.o dirfops.o print.o sioq.o

=== ubuntu/media/drm-poulsbo/Makefile ===
obj-m += drm.o
obj-m += psb.o

drm-objs := drm_auth.o drm_bufs.o drm_context.o drm_dma.o drm_drawable.o \
		drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_proc.o drm_stub.o drm_vm.o \
		drm_sysfs.o drm_pci.o drm_agpsupport.o drm_scatter.o \
		drm_memory_debug.o ati_pcigart.o drm_sman.o \
		drm_hashtab.o drm_mm.o drm_object.o drm_compat.o \
		drm_fence.o drm_ttm.o drm_bo.o drm_bo_move.o drm_bo_lock.o \
		drm_crtc.o drm_edid.o drm_modes.o drm_regman.o drm_vm_nopage_compat.o

psb-objs := psb_drv.o psb_mmu.o psb_sgx.o psb_irq.o psb_fence.o psb_buffer.o \
		psb_gtt.o psb_setup.o psb_i2c.o psb_fb.o psb_msvdx.o \
		psb_msvdxinit.o psb_regman.o psb_reset.o psb_scene.o \
		psb_schedule.o psb_xhw.o

=== ubuntu/net/igb-next/Makefile ===
################################################################################
#
# Intel(R) Gigabit Ethernet Linux driver
# Copyright(c) 2007-2009 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# e1000-devel Mailing List <e1000-devel@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

obj-m += igb-next.o

igb-next-objs	:= igb_main.o e1000_82575.o e1000_mac.o e1000_nvm.o \
			e1000_phy.o e1000_manage.o igb_param.o igb_ethtool.o \
			kcompat.o e1000_api.o

=== ubuntu/wireless/marvell/8686_wlan/Makefile ===
CONFIG_DEBUG=0

# Proc in /proc/net/wlan
CONFIG_PROC_DEBUG=y

# Re-association in driver
CONFIG_REASSOCIATION=y

# Manufacturing firmware support
CONFIG_MFG_CMD_SUPPORT=y

ifeq ($(CONFIG_DEBUG),1)
	EXTRA_CFLAGS += -DDEBUG_LEVEL1
endif

ifeq ($(CONFIG_DEBUG),2)
	EXTRA_CFLAGS += -DDEBUG_LEVEL1
	EXTRA_CFLAGS += -DDEBUG_LEVEL2
	DBG=	-dbg
endif

ifeq ($(CONFIG_DEBUG),3)
	EXTRA_CFLAGS += -DDEBUG_LEVEL1
	EXTRA_CFLAGS += -DDEBUG_LEVEL2
	EXTRA_CFLAGS += -DDEBUG_LEVEL3
	DBG=	-dbg
endif

ifeq ($(CONFIG_DEBUG),4)
	EXTRA_CFLAGS += -DDEBUG_LEVEL1
	EXTRA_CFLAGS += -DDEBUG_LEVEL2
	EXTRA_CFLAGS += -DDEBUG_LEVEL3
	EXTRA_CFLAGS += -DDEBUG_LEVEL4
	DBG=	-dbg
endif

ifeq ($(CONFIG_PROC_DEBUG),y)
	EXTRA_CFLAGS += -DPROC_DEBUG
	export CONFIG_PROC_DEBUG
endif

ifeq ($(CONFIG_REASSOCIATION),y)
	EXTRA_CFLAGS += -DREASSOCIATION
endif

ifeq ($(CONFIG_MFG_CMD_SUPPORT),y)
	EXTRA_CFLAGS += -DMFG_CMD_SUPPORT
endif

sd8686-objs =	wlan/wlan_main.o wlan/wlan_fw.o wlan/wlan_wext.o \
		wlan/wlan_rx.o wlan/wlan_tx.o \
		wlan/wlan_cmd.o wlan/wlan_cmdresp.o \
		wlan/wlan_proc.o wlan/wlan_scan.o wlan/wlan_join.o \
		wlan/wlan_wmm.o wlan/wlan_11d.o \
		if/if_sdio/if_sdio.o

ifeq ($(CONFIG_PROC_DEBUG), y)
sd8686-objs += wlan/wlan_debug.o
endif

obj-m += sd8686.o

	EXTRA_CFLAGS += -DFPNUM='"13"'
	EXTRA_CFLAGS += -DFB
	EXTRA_CFLAGS += -I$(src)/os/linux -I$(src)/wlan

ifdef CONFIG_MMC_DEBUG
#	EXTRA_CFLAGS += -DDEBUG_LEVEL1
#	EXTRA_CFLAGS += -DDEBUG_LEVEL2
#	EXTRA_CFLAGS += -DDEBUG_LEVEL3
#	EXTRA_CFLAGS += -DDEBUG_LEVEL4
#	DBG=    -dbg
endif

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-32.52) hardy-proposed; urgency=low

  * Bump ABI to -32

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 16:45:20 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-31.51) hardy-proposed; urgency=low

  * Bump ABI to -31

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 14 Feb 2012 11:38:53 -0200

=== debian/control ===
Source: linux-ubuntu-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-32-386 [i386], linux-headers-2.6.24-32-generic [i386 amd64], linux-headers-2.6.24-32-hppa32 [hppa], linux-headers-2.6.24-32-hppa64 [hppa], linux-headers-2.6.24-32-itanium [ia64], linux-headers-2.6.24-32-lpia [lpia], linux-headers-2.6.24-32-lpiacompat [lpia], linux-headers-2.6.24-32-mckinley [ia64], linux-headers-2.6.24-32-openvz [i386 amd64], linux-headers-2.6.24-32-powerpc [powerpc], linux-headers-2.6.24-32-powerpc-smp [powerpc], linux-headers-2.6.24-32-powerpc64-smp [powerpc], linux-headers-2.6.24-32-rt [i386 amd64], linux-headers-2.6.24-32-server [i386 amd64], linux-headers-2.6.24-32-sparc64 [sparc], linux-headers-2.6.24-32-sparc64-smp [sparc], linux-headers-2.6.24-32-virtual [i386], linux-headers-2.6.24-32-xen [i386 amd64]

Package: linux-ubuntu-modules-2.6.24-32-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-32-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-386
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-generic
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1
Depends: linux-image-2.6.24-32-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-hppa32
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-hppa64
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-itanium
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-lpia
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-32-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat for x86-compatible.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-lpiacompat
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-mckinley
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-32-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-openvz
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-32/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-32-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-32-powerpc
Architecture: powerpc
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-powerpc
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
